Bug 1085427 - [GSS](6.4.z) StickySessions don't work for ProxyPass from unenabled context
Summary: [GSS](6.4.z) StickySessions don't work for ProxyPass from unenabled context
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: mod_cluster
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: DR2
: EAP 6.4.9
Assignee: Jean-frederic Clere
QA Contact: Michal Karm Babacek
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1338641
TreeView+ depends on / blocked
 
Reported: 2014-04-08 14:58 UTC by Prachi
Modified: 2018-12-09 17:43 UTC (History)
9 users (show)

(edit)
This release of JBoss EAP 6 carries a bug that prevents StickySessions from working for ProxyPass from unenabled context. This issue is expected to be resolved in a future release.
Clone Of:
: 1338641 (view as bug list)
(edit)
Last Closed: 2017-01-17 14:47:37 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODCLUSTER-397 Major Resolved StickySessions don't work for ProxyPass from unenabled context 2017-11-08 20:29 UTC

Description Prachi 2014-04-08 14:58:34 UTC
Description of problem:

StickySessions don't work for ProxyPass from unenabled context

Version-Release number of selected component (if applicable): EAP 6.2



How reproducible:

Sticky sessions are not maintained if you try to ProxyPass from an unenabled context to an enabled one. For example, consider JBoss with just /foo deployed and enabled via MCMP. Then try to ProxyPass / to /foo/ on httpd:

CreateBalancers 1
...
ProxyPass / balancer://mycluster/foo/ stickysession=JSESSIONID|jsessionid nofailover=On


Steps to Reproduce:
1.consider JBoss with just /foo deployed and enabled
2.Then try to ProxyPass / to /foo/ on httpd:

CreateBalancers 1
...
ProxyPass / balancer://mycluster/foo/ stickysession=JSESSIONID|jsessionid nofailover=On

3.

Actual results:


Expected results:


Additional info:

Comment 1 Michal Karm Babacek 2014-07-07 11:20:32 UTC
This issue won't be resolved in EAP 6.3.0.

Comment 6 Michal Karm Babacek 2015-01-20 15:04:41 UTC
Guys, could you update the status of this bugzilla so as it's clear how it stands in the light of EAP 6.4?

Comment 7 Aaron Ogburn 2015-01-20 15:10:49 UTC
This isn't fixed upstream yet.  It's dependent upon MODCLUSTER-397.  It looks like a good fix for that is beyond what we probably want to do with mod_cluster 1.2.x at this point, so if anything, this will probably be deferred to mod_cluster 1.3.x for a possible EAP 7/EWS 3 release.

Comment 9 Michal Karm Babacek 2016-07-29 09:52:00 UTC
@Miroslav:
This issue is fixed in mod_cluster 1.2.13, pending QE. The "NEW" BZ status has been wrong.

https://github.com/modcluster/mod_cluster/pull/188/commits/e45dd9b6f30b140541c9475a13337784644edc76

Comment 10 Michal Karm Babacek 2016-08-18 15:40:04 UTC
VERIFIED, EAP 6.4.9 Natives & Connectors

Comment 11 Petr Penicka 2017-01-17 14:47:37 UTC
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.


Note You need to log in before you can comment on or make changes to this bug.